Description

Issue

The explanation for LActTm is as follows:

"Time when the last service SelectActiveSG has been processed successfully”

This means that updating this attribute is only related to the SelectActSG service.

However, in fact, switching of setting group can also occur in ways that are outside of this standard (for example., using a switch
connected to the digital inputs). Obviously, in such cases, the ActSG attribute should also change, but the LActTm timestamp will

remain the same, continuing representing a time of the last SelectActiveSG service result.
| think this attribute would be more useful from a practical point of view if it represents the actual switching time of the active setting

group.
Proposal

Expand the explanation so that LActTm should change whenever the ActSG attribute actually changes.

Subtasks:
Issues # 5284: Local (not MMS) server update of active setting group not checked Closed

History

#1 - 05/13/2021 04:25 PM - Bruce Muschlitz
- File TestProcedure_sSg13.docx added
- Final Decision changed from Modify test to match Tissue 1681: to Modify test to match Tissue 1681 resolution

- Initial Test Document set to
http://www.ucaiug.org/org/TechnicalO/Testing/UCAIlug%20Testing%20Quality%20Assurance %20Program/Current%201EC %206 1850%20Edition %20
2%20Testing%20Procedures/UCATestProceduresServer61850-8-1Ed2Amd1_Rev1p0.pdf

- Test Case ID set to sSg13

#2 - 06/01/2021 09:12 AM - Richard Schimmel

- Status changed from New to In Progress

TPWG: Please look at sSg3 which already verifies Last activation time. We disagree to add a new testcase
#3 - 06/01/2021 09:13 AM - Richard Schimmel
- Test Case ID changed from sSg13 to sSg13 (sSg3)

#4 - 06/01/2021 11:39 AM - Bruce Muschlitz

sSg3 is test when Client initiates a change to ActSG. sSg13 is test when server spontaneously changes ActSG without a request from the client.
Reason for TISSUE is now "standard is not clear that spontaneous changes to ActSG should result in new value of LActTm" (note that this is not
reflected in the title of the TISSUE but first appears in the TISSUE 20200617).

Therefore sSG13 is needed (and agreed by WG10 to be inserted into the test procedures).

#5 - 07/26/2021 10:27 AM - Richard Schimmel
- File Solution to redmine_669_sSg13_20210726.docx added

added file with proposed solution

#6 - 09/14/2021 07:50 AM - Richard Schimmel

- File Solution to redmine_669_sSg13_20210914.docx added

- Subject changed from T1681 - LActTm representation is not actual to T1681 - LActTm representation is not actual (sSg13, sSg14)
- Test Case ID changed from sSg13 (sSg3) to sSg13 and sSg14

Added sSg14 to the solution to change a setting in the active setting group; Updated sSg13 a bit (setting group)

#7 - 09/21/2021 09:28 AM - Richard Schimmel
- File Solution to redmine_669_sSg13_20210921.docx added

- Status changed from In Progress to Resolved

TPWG agreement to resolve after adding a reference to tissue 1681 in both test procedures. It was noted that the TISSUE database proposal is an
older version (no further action required)

#8 - 06/02/2022 02:43 PM - Bruce Muschlitz

- Discuss in Upcoming Meeting changed from Yes to No
- Updated Test Document set to Server Ed2.1 TP1.2

- Closed Reason Test Procedure Update added

- Closed Reason deleted (--Not Set---)

#9 - 06/02/2022 04:14 PM - Herbert Falk

- Status changed from Resolved to Closed

Files

TestProcedure_sSg13.docx 13.2 KB 05/13/2021 Bruce Muschlitz
Solution to redmine_669_sSg13_20210726.docx 26.1 KB 07/26/2021 Richard Schimmel
Solution to redmine_669_sSg13_20210914.docx 28.3 KB 09/14/2021 Richard Schimmel
Solution to redmine_669_sSg13_20210921.docx 28.5 KB 09/21/2021 Richard Schimmel
